"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Serve = void 0;
const express_1 = __importDefault(require("express"));
const gdut_io_1 = require("gdut-io");
const gdut_json_1 = require("gdut-json");
const cobbler_api_1 = require("./cobbler-api");
function Serve() {
    let config = { port: 7117, path: './data', url: '/api/' };
    if (gdut_io_1.FileExists('./cobbler.json')) {
        config = gdut_json_1.ReadJson('./cobbler.json');
    }
    const app = express_1.default();
    const PORT = config.port;
    console.log('Server TypeScript');
    // Needed for parsing Request Body to JSON Object:
    app.use(express_1.default.json());
    app.get('/helloWorld', (req, res) => {
        res.send('Hello World!');
    });
    cobbler_api_1.InitCobblerRoute(app, config.path, config.url);
    app.listen(PORT, () => console.log(`Server listening on port: ${PORT}`));
}
exports.Serve = Serve;
