export declare type Record = {
    id: number;
    logicRemove: boolean;
};
declare type ColumnConfig = {
    type: string;
    needed: boolean;
    default: any;
    reference?: string;
    unique: boolean;
    owner: true;
};
declare type TableConfig = {
    [key: string]: ColumnConfig;
};
declare type TablesConfig = {
    [key: string]: TableConfig;
};
export declare function BaseCobbler(): Cobbler;
export declare class Cobbler {
    private dataPath;
    private tables;
    constructor(dataPath: string, tables: TablesConfig);
    getTables(): {
        tableName: string;
    }[];
    save(name: string, record: Record): Record;
    remove(name: string, id: number): Record;
    findById(name: string, id: number): Record | null;
    findAll(name: string): Record[];
    findPage(name: string, page: number, size: number, sortName: string, sortDir: 'ASC' | 'DESC'): Record[];
    private transformRecord;
    private collectOwnedReferences;
    private update;
    private insert;
    private validate;
    private checkUnique;
    private checkColumnType;
    private checkReference;
    private locate;
    private readDataFile;
    private writeDataFile;
}
export {};
